MQTT C Client Libraries Internals: MQTTClient_willOptions Struct Reference

| MQTT C Client Libraries Internals

Data Fields
MQTTClient_willOptions Struct Reference

MQTTClient_willOptions defines the MQTT "Last Will and Testament" (LWT) settings for the client. More...

`#include <MQTTClient.h>`

## Data Fields
char | struct_id [4]
| The eyecatcher for this structure. More...
int | struct_version
| The version number of this structure. More...
const char * | topicName
| The LWT topic to which the LWT message will be published.
const char * | message
| The LWT payload in string form.
int | retained
| The retained flag for the LWT message (see MQTTClient_message.retained).
int | qos
| The quality of service setting for the LWT message (see MQTTClient_message.qos and qos).
struct {
int len
| binary payload length
const void * data
| binary payload data
} | payload
| The LWT payload in binary form. More...

## Detailed Description

MQTTClient_willOptions defines the MQTT "Last Will and Testament" (LWT) settings for the client.

In the event that a client unexpectedly loses its connection to the server, the server publishes the LWT message to the LWT topic on behalf of the client. This allows other clients (subscribed to the LWT topic) to be made aware that the client has disconnected. To enable the LWT function for a specific client, a valid pointer to an MQTTClient_willOptions structure is passed in the MQTTClient_connectOptions structure used in the MQTTClient_connect() call that connects the client to the server. The pointer to MQTTClient_willOptions can be set to NULL if the LWT function is not required.

## Field Documentation

## ◆

struct { ... } MQTTClient_willOptions::payload

The LWT payload in binary form.

This is only checked and used if the message option is NULL

## ◆ struct_id

char MQTTClient_willOptions::struct_id[4]

The eyecatcher for this structure.

must be MQTW.

## ◆ struct_version

int MQTTClient_willOptions::struct_version

The version number of this structure.

Must be 0 or 1 0 means there is no binary payload option

The documentation for this struct was generated from the following file:

- MQTTClient.h